<!DOCTYPE html>

<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
            crossorigin="anonymous">
        <title>
            Baca Headernya yaa
        </title>
    </head>

    <body>
        <div class="container">
            <br/>
            <h2 style="text-align:center;">
                <strong>Ketik Judul Buku Dibawah Ini dan Lihat Daftar Hasilnya!</strong>
            </h2>
            <br>
            <div class="col-md-10 col-lg-8 col-xl-7 mx-auto">
                <form id="formBuku">
                    <div class="form-row">
                        <div class="col-12 col-md-9 mb-2 mb-md-0">
                            <input type="text" id="kataKunci" class="form-control form-control-lg"
                                   placeholder="Iya, ketik disini... kalo udah, klik tombol biru itu ya">
                        </div>
                        <div class="col-12 col-md-3">
                            <button type="submit" class="btn btn-block btn-lg btn-primary">Iya Klik Aku!</button>
                        </div>
                    </div>
                </form>
            </div>
    
            <br>
    
            <div class="row" id="hasilPencarian"></div>
    
        </div>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
            crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
            crossorigin="anonymous"></script>
        <script>
        $(document).ready(
            $.ajax({
                    method: 'GET',
                    url: "https://www.googleapis.com/books/v1/volumes" + "?q=" + "business",
                    success: function (result) {
                        let tambahinHasil = $('#hasilPencarian');
                        tambahinHasil.empty();
                        const resultItems = result.items;
                        
                        for (let i = 0; i < result.totalItems; i++) {
                            tambahinHasil.append(
                                "<div class='col-lg-4 col-sm-6 mb-4'>" +
                                "<div class='card h-100'>" +
                                "<img class='card-img-top' src=" + resultItems[i].volumeInfo.imageLinks.thumbnail + ">" +
                                "<div class='card-body'>" +
                                "<h4 class='card-title'>Title : " + resultItems[i].volumeInfo.title + "</h4>" +
                                "<p class='card-text'>Author/s : " + resultItems[i].volumeInfo.authors + "</p>" +
                                "</div>" +
                                "</div>" +
                                "</div>"
                            );
                        }
                    }
                }),
            $('#formBuku').submit(function (event) {
                event.preventDefault();
                const judulBuku = $('#kataKunci').val();
                $.ajax({
                    method: 'GET',
                    url: "https://www.googleapis.com/books/v1/volumes" + "?q=" + judulBuku,
                    success: function (result) {
                        let tambahinHasil = $('#hasilPencarian');
                        tambahinHasil.empty();
                        const resultItems = result.items;
                        
                        for (let i = 0; i < result.totalItems; i++) {
                            tambahinHasil.append(
                                "<div class='col-lg-4 col-sm-6 mb-4'>" +
                                "<div class='card h-100'>" +
                                "<img class='card-img-top' src=" + resultItems[i].volumeInfo.imageLinks.thumbnail + ">" +
                                "<div class='card-body'>" +
                                "<h4 class='card-title'>Title : " + resultItems[i].volumeInfo.title + "</h4>" +
                                "<p class='card-text'>Author/s : " + resultItems[i].volumeInfo.authors + "</p>" +
                                "</div>" +
                                "</div>" +
                                "</div>"
                            );
                        }
                    }
                });
            })
        );
        </script>
    </body>

</html>